#Class for event driven notifications
class cEvents:
    def __init__(self):
        self.Events = { }

    def CreateEvent(self,EventName):
        self.Events[EventName] = []

    #fnCallBack must accept DictArgs = {}
    def RegisterEvent(self,EventName,fnCallBack):
        if EventName in self.Events:
            self.Events[EventName].append(fnCallBack)

    def RaiseEvent(self,EventName,DictArgs = {}):
        if not EventName in self.Events:
            return
        for RegisteredEvent in self.Events[EventName]:
            RegisteredEvent(DictArgs)
